# path::get-directory-name

Returns the directory information for the specified path string.

### Usage

`string path::get-directory-name(path)`

### Parameters

Name | Type | Description
--- | --- | ---
path | string | The path of a file or directory.

### Return Value

A String containing directory information for path, or an empty String if path denotes a root directory, or does not contain directory information.

### Exceptions

The function will fail in any of the following circumstances:

- path contains invalid characters, is empty, or contains only white spaces.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)